Skip to main content
POST
/
verifications
/
google-locations
/
{google_location_id}
/
start
Start Google Location Verification Process
curl --request POST \
  --url https://api.partoo.co/v2/verifications/google-locations/{google_location_id}/start \
  --header 'Content-Type: application/json' \
  --header 'x-APIKey: <api-key>' \
  --data '
{
  "phone_number": "+33187662490",
  "email": "email.api@partoo.fr",
  "full_name": "John Doe"
}
'
import requests

url = "https://api.partoo.co/v2/verifications/google-locations/{google_location_id}/start"

payload = {
"phone_number": "+33187662490",
"email": "email.api@partoo.fr",
"full_name": "John Doe"
}
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone_number: '+33187662490',
email: 'email.api@partoo.fr',
full_name: 'John Doe'
})
};

fetch('https://api.partoo.co/v2/verifications/google-locations/{google_location_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "message": null
}
{
"errors": {
"json": {
"method": "sms_phone_call_method_without_phone_number"
}
}
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}
{
"errors": {
"json": "Resource not found"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

google_location_id
string
required

Google location unique id on Partoo

Body

application/json
method
enum<string>
Available options:
SMS,
PHONE_CALL,
EMAIL,
ADDRESS
phone_number
string

REQUIRED for SMS and PHONE_CALL methods. The phone number to which the code will be send.

Example:

"+33187662490"

email
string

REQUIRED for EMAIL method. The email address to which the code will be send.

Example:

"email.api@partoo.fr"

full_name
string

REQUIRED for ADDRESS method. The full name to which the postcard will be send.

Example:

"John Doe"

Response

OK

status
string

The status of the response success or error.

Example:

"success"

message
enum<string>

OPTIONAL Details of the error encountered. Can be one of the following:

  • start_no_verification_found: No verification request has been started.
  • start_error: An error occured during the start of the verification process.
Available options:
start_no_verification_found,
start_error
Example:

null